View Issue Details

IDProjectCategoryView StatusLast Update
0021563LazarusIDEpublic2012-06-17 13:56
ReporterSven BarthAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0021563: Improve usability of SynchronEdit by jumping only between first locations of words
DescriptionI'm a big fan of the SynchronEdit feature, but I've noticed a problem when changing multiple words that are seperated by multiple different words.

E.g. (stupid example)

a := b;
c := b or a and d or b and b or a and b and a or a;
e := d;
f := e or c;

Suppose I select the above block and want to change a and e in one go (yes, I could use search and replace, but that's not the point). SynchronEdit will now highlight all occurences of a, b, c, d, e, "or" and "and". By pressing "Tab" I can only jump from one such occurence to the next (which are quite some in the above example). It would be more optimal if Tab would only jump between the first occurences of the multiple words (while the non-first occurences are still - maybe differently - highlighted).

E.g. (|...| marks the first locations):

|a| := |b|;
|c| := b |or| a |and| |d| or b and b or a and b and a or a;
|e| := d;
f := e or c;

Now Tab only jumps between these 7 locations.
TagsNo tags attached.
Fixed in Revision37266
LazTarget1.2
Widgetset
Attached Files

Activities

Martin Friebe

2012-05-13 16:20

manager   ~0059562

This can now be configured through the keymap.

The default is as it used to be, but keymap-entries for the new behaviour have been made available.
You can move the existing, or add new shortcuts to trigger them.

This can be done for individually for Template(param) and Syncro edit. And for each of them keys can be mapped depending on the caret being in a cell or outside.

If you use "first cell only" the mapping for "in cell" applies if the caret is in any cell even a "none first" cell.

Sven Barth

2012-06-17 13:56

manager   ~0060597

Works wonderful. Thank you :D

Regards,
Sven

Issue History

Date Modified Username Field Change
2012-03-26 11:35 Sven Barth New Issue
2012-03-26 11:35 Sven Barth LazTarget => -
2012-03-26 13:42 Martin Friebe LazTarget - => 1.2
2012-03-26 13:42 Martin Friebe Assigned To => Martin Friebe
2012-03-26 13:42 Martin Friebe Status new => assigned
2012-03-26 13:42 Martin Friebe Target Version => 1.2.0
2012-05-13 16:20 Martin Friebe Fixed in Revision => 37266
2012-05-13 16:20 Martin Friebe Status assigned => resolved
2012-05-13 16:20 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-05-13 16:20 Martin Friebe Resolution open => fixed
2012-05-13 16:20 Martin Friebe Note Added: 0059562
2012-06-17 13:56 Sven Barth Status resolved => closed
2012-06-17 13:56 Sven Barth Note Added: 0060597